﻿@model GameDistribution.Models.UserViewModel

@{
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="column" style="width:200px !important; margin-top:-15px;">
    @using (Html.BeginForm("UpdateUsers", "Users"))
    {
        @Html.HiddenFor(model => model.userType)
        @Html.HiddenFor(model => model.RegId)
        @Html.HiddenFor(model => model.Id)

        <div asp-validation-summary="All"></div>
        <div style="margin-top:15px;">
            @Html.LabelFor(model => model.Firstname)
            @Html.EditorFor(model => model.Firstname, new { htmlAttributes = new { @class = "form-control", required = "required" } })
            @Html.ValidationMessageFor(model => model.Firstname, "", new { @class = "text-danger" })
        </div>
        <div style="margin-top:15px;">
            @Html.LabelFor(model => model.Lastname)
            @Html.EditorFor(model => model.Lastname, new { htmlAttributes = new { @class = "form-control", required = "required" } })
            @Html.ValidationMessageFor(model => model.Lastname, "", new { @class = "text-danger" })
        </div>
        <div style="margin-top:15px;">
            @Html.LabelFor(model => model.Email)
            @Html.EditorFor(model => model.Email, new { htmlAttributes = new { @class = "form-control", required = "required" } })
            @Html.ValidationMessageFor(model => model.Email, "", new { @class = "text-danger" })

        </div>
        <div style="margin-top:15px;">
            @Html.LabelFor(model => model.Password)
            @Html.EditorFor(model => model.Password, new { htmlAttributes = new { @class = "form-control" } })
        </div>
        <div style="margin-top:15px;">
            @Html.LabelFor(model => model.CompanyName)
            @Html.EditorFor(model => model.CompanyName, new { htmlAttributes = new { @class = "form-control", required = "required", } })
            @Html.ValidationMessageFor(model => model.CompanyName, "", new { @class = "text-danger" })
        </div>
        <div style="margin-top:15px;">
            @Html.LabelFor(model => model.Website)
            @Html.EditorFor(model => model.Website, new { htmlAttributes = new { @class = "form-control", required = "required" } })
            @Html.ValidationMessageFor(model => model.Website, "", new { @class = "text-danger" })
        </div>
        <div style="margin-top:15px;">
            @Html.LabelFor(model => model.Active)
            @Html.EditorFor(model => model.Active, new { htmlAttributes = new { @class = "form-control", required = "required" } })
            @Html.ValidationMessageFor(model => model.Active, "", new { @class = "text-danger" })
        </div>
        <div style="margin-top:15px;">
            <label for="type">User Type</label>
            @Html.DropDownListFor(model => model.userTypeId, new[] { new SelectListItem { Text = "Developer", Value = "0" }, new SelectListItem { Text = "Publisher", Value = "1" }, new SelectListItem { Text = "Dev/Pub", Value = "2" } })
        </div>
        <div style="margin-top:15px;">
            @Html.LabelFor(model => model.PartnerId)
            @Html.EditorFor(model => model.PartnerId, new { htmlAttributes = new { @class = "form-control", required = "required" } })
            @Html.ValidationMessageFor(model => model.PartnerId, "", new { @class = "text-danger" })
        </div>
        <div style="margin-top:15px;">
            @Html.LabelFor(model => model.DeveloperId)
            @Html.EditorFor(model => model.DeveloperId, new { htmlAttributes = new { @class = "form-control", required = "required" } })
            @Html.ValidationMessageFor(model => model.DeveloperId, "", new { @class = "text-danger" })
        </div>
        <div style="margin-top:15px;">
            @Html.LabelFor(model => model.UserId)
            @Html.EditorFor(model => model.UserId, new { htmlAttributes = new { @class = "form-control", required = "required" } })
            @Html.ValidationMessageFor(model => model.UserId, "", new { @class = "text-danger" })
        </div>

        <div style="margin-top:15px;">
            <button type="submit" onclick="return Confirmation(this)" class="button active" style="text-align:center">Save</button>
        </div>
    }
</div>
